Subject: Re: bug#32266: Cannot add directory names ending in .el with normal-top-level-add-subdirs-to-load-path

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 26 Aug 2020 14:50:13 +0200

Robert Pluim <[email-masked]> writes:

> The comment just above says
>
> 		 ;; Avoid doing a `stat' when it isn't necessary because
> 		 ;; that can cause trouble when an NFS server is down.
>
> which has been there for a long time. If an NFS server *is* down, then
> that will manifest itself with other files anyway, so I don't see why
> we'd need special handling here. I propose:

Yeah, that's just odd.  And having directories called .el isn't that
strange, anyway, so I've applied your patch to Emacs 28:

> -		 ;; Avoid doing a `stat' when it isn't necessary because
> -		 ;; that can cause trouble when an NFS server is down.
> -		 (not (string-match "\\.elc?\\'" file))

I did a "make" and "make bootstrap" and I can't see any adverse effects.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no